# $Id: descrip.mms,v 1.3 2002/01/25 08:33:15 levitte Exp $

TOP = [-]
SUBDIRS = [.des] [.aes] [.blowfish] [.ecb] [.cbc] [.ofb] [.cfb] #md5
LIBOBJS = algo_lib.obj
LIB = $(TOP)librlcrypto.olb
CFLAGS = /include=($(TOP)) /debug /warnings /standard=ansi
TESTOBJS = algotest.obj
TEST = algotest.exe

.first :
	define rlcrypto []

all : $(LIB)([]$(LIBOBJS)) $(SUBDIRS) $(TEST)
	@ !

FRC :
$(SUBDIRS) : FRC
	set default $@
	mms
	set default [-]

$(TEST) : $(TESTOBJS) $(LIB)
	link /exe=$(TEST) $(TESTOBJS),$(LIB)/lib

test : all
	run algotest

algo_lib.obj : algo_lib.c algo_int.h algorithms.h
